Skip to main content
PUT
/
alert
/
{id}
Update alert
curl --request PUT \
  --url https://api.truecold.io/alert/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '{}'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "handling_unit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "min_temp": 123,
  "max_temp": 123,
  "excursion_minutes": 123,
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "delivery_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "shipment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sites_id": [
    "<string>"
  ],
  "code": "<string>",
  "status": "<string>",
  "trigger_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "carrier_code": "<string>",
  "receiver_code": "<string>",
  "transport_mode": "<string>",
  "type": "<string>",
  "allowance_minutes": 123,
  "max_temp_allowed": 123,
  "min_temp_allowed": 123,
  "handling_unit_history_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "zone_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "latitude": 123,
  "longitude": 123,
  "sensor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "carrier_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "ai": true
}

Documentation Index

Fetch the complete documentation index at: https://integrations.truecold.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication. Contact your administrator to get an API key.

Path Parameters

id
string
required

Alert ID

Body

application/json

Alert input data for update

status
enum<string>
required

New alert status

Available options:
OPEN,
IN_PROGRESS,
DONE,
INVALID

Response

Successfully updated alert

Alert entity (API response)

id
string<uuid>

Unique identifier

created_at
string<date-time>

Creation timestamp

updated_at
string<date-time>

Last update timestamp

handling_unit_id
string<uuid>

Handling unit ID

min_temp
number

Min Temp

max_temp
number

Max Temp

excursion_minutes
integer

Excursion Minutes

account_id
string<uuid>

Account ID

owner_id
string<uuid>

Owner ID

delivery_id
string<uuid>

Delivery ID

shipment_id
string<uuid>

Shipment ID

sites_id
string[]

Sites ID

code
string

code code

status
string

Status

trigger_id
string<uuid>

Trigger ID

carrier_code
string

carrier code

receiver_code
string

receiver code

transport_mode
string

Transport Mode

type
string

Type

allowance_minutes
integer

Allowance Minutes

max_temp_allowed
number

Max Temp Allowed

min_temp_allowed
number

Min Temp Allowed

handling_unit_history_id
string<uuid> | null

Handling unit history ID

scope
enum<string> | null

Alert scope

Available options:
DELIVERY,
SHIPMENT,
HU_ZONE,
HU_DELIVERY,
ZONE
zone_id
string<uuid> | null

Zone ID

latitude
number | null

Latitude

longitude
number | null

Longitude

sensor_id
string<uuid> | null

Sensor ID

carrier_id
string<uuid> | null

Carrier ID

location_id
string<uuid> | null

Location ID

ai
boolean | null

AI-generated alert